Subject: Re: bug#56215: Request for decluttering capability on mode-line keywords

From: Phil Sainty <[email-masked]>
Date: Mon, 27 Jun 2022 08:59:35 +1200

On 2022-06-26 22:48, [email-masked] wrote:
>> would suit your needs, because you already stated that you don't
>> want suffixes like "/*l" added to the mode line for those modes.
> 
> What are the suffixes about?

Refer to: C-h i g (ccmode)Minor Modes

> How does delight compare to dim?

AFAIU they're broadly similar, but I don't really know.  I wrote
delight so that's what I use.  The alternative at the time was
diminish.el which I found cumbersome and limited to minor modes
(hence writing an alternative), but that's the only comparison I
can make from personal experience.  I've seen the others mentioned
over the years, but I don't use any of them, so I recommend just
checking their documentation.

-Phil